Bug 833704 (CVE-2012-3405) - CVE-2012-3405 glibc: incorrect use of extend_alloca() in formatted printing can lead to FORTIFY_SOURCE format string protection bypass
Summary: CVE-2012-3405 glibc: incorrect use of extend_alloca() in formatted printing c...
Status: CLOSED ERRATA
Alias: CVE-2012-3405
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20120711,repor...
Keywords: Security
Depends On: 841318
Blocks: 822803
TreeView+ depends on / blocked
 
Reported: 2012-06-20 07:29 UTC by Stefan Cornelius
Modified: 2016-02-04 06:46 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-18 16:38:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1098 normal SHIPPED_LIVE Moderate: glibc security and bug fix update 2012-07-18 19:23:08 UTC
Red Hat Product Errata RHSA-2012:1200 normal SHIPPED_LIVE Moderate: rhev-hypervisor6 security and bug fix update 2012-08-23 18:24:51 UTC

Description Stefan Cornelius 2012-06-20 07:29:48 UTC
It was discovered that the formatted printing functionality in glibc used extend_alloca() incorrectly. A remote attacker could provide a specially crafted sequence of format specifiers, leading to a desynchronization within the buffer size handling, resulting in the use of uninitialized memory or, potentially, FORTIFY_SOURCE format string protection mechanism bypass, when processed.

References:
http://sourceware.org/bugzilla/show_bug.cgi?id=13446
http://sourceware.org/git/?p=glibc.git;a=commitdiff;h=a4647e727a2a52e1259474c13f4b13288938bed4

Comment 1 Stefan Cornelius 2012-07-11 10:35:07 UTC
Pulic now/CVEs requested via:
http://www.openwall.com/lists/oss-security/2012/07/11/5

Comment 2 Stefan Cornelius 2012-07-11 17:25:57 UTC
A CVE identifier of CVE-2012-3405 has been assigned to this issue.

Comment 3 errata-xmlrpc 2012-07-18 15:24:05 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1098 https://rhn.redhat.com/errata/RHSA-2012-1098.html

Comment 4 Vincent Danen 2012-07-18 16:38:54 UTC
Statement:

This issue did not affect the version of glibc as shipped with Red Hat Enterprise Linux 5.

Comment 5 Vincent Danen 2012-07-18 16:39:58 UTC
Created glibc tracking bugs for this issue

Affects: fedora-all [bug 841318]

Comment 6 errata-xmlrpc 2012-08-23 14:25:39 UTC
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2012:1200 https://rhn.redhat.com/errata/RHSA-2012-1200.html


Note You need to log in before you can comment on or make changes to this bug.